<template>
  <div class="row">
    <b-card
    title="ลงชื่อเข้าใช้สู่ PsycheTrack"
    img-src="https://picsum.photos/600/300/?image=19"
    img-alt="Image"
    img-top
    tag="article"
    style="max-width: 28rem;"
    class="mt-2 mb-2 text-md-center">
        <h2 class="login-heading"></h2>
        <b-form @submit.prevent="login" @reset="reset">
            <b-form-group label="ID">
              <b-form-input
               type="text"
               id='username'
               v-model="cred.username"
               placeholder="โปรดกรอก ID ที่ท่านลงทะเบียน"
               required/>
            </b-form-group>
            <b-form-group label="รหัสผ่าน" class="mb-more">
              <b-form-input
              type="password"
              id="password"
              placeholder="โปรดกรอกรหัสผ่านของท่าน"
              v-model="cred.password"
              required/>
            </b-form-group>
            <b-form-group>
              <b-button type="submit" class="btn-submit" variant="success"><font-awesome-icon icon="sign-in-alt"/> ลงชื่อเข้าใช้เลย</b-button>
              <nuxt-link to="/register"><b-button class="btn-submit" variant="outline-success">ลงทะเบียนโดยอาศัย <font-awesome-icon :icon="['fab', 'line']"/> Line</b-button></nuxt-link>
            </b-form-group>
            <transition name="fade">
              <b-alert v-model="showDismissibleAlert" :variant="alertVariant" dismissible>
                {{ loginMessage }}
              </b-alert>
            </transition>
        </b-form>
    </b-card>
  </div>
</template>

<script>
export default {
  name: 'Login',
  data() {
    return {
      cred: {
        username: '',
        password: ''
      },
      loginMessage: '',
      alertVariant: 'danger'
    }
  },
  methods: {
    login() {
      this.$store.dispatch('login', {
        username: this.cred.username,
        password: this.cred.password
      }).then((response) => {
        if (response.status === 200) {
          this.alertVariant = 'success'
          this.$router.push('/dashboard/staff')
        } else {
          this.alertVariant = 'danger'
        }
        this.loginMessage = response.statusText
      }).catch((error) => {
        this.loginMessage = error.response.statusText
      })
    },
    reset() {
      this.cred.username = ''
      this.cred.password = ''
    }
  },
  computed: {
    showDismissibleAlert() {
      return this.loginMessage !== ''
    }
  }
}
</script>

<style>
.card {
  margin: 0 auto; /* Added */
        float: none; /* Added */
        margin-bottom: 10px; /* Added */
}
.fade-enter-active, .fade-leave-active {
  transition: opacity .5s;
}
.fade-enter, .fade-leave-to /* .fade-leave-active below version 2.1.8 */ {
  opacity: 0;
}
</style>
